Bug 17697 - Improve NotesBlacklist system preference description to make clear where it will apply
Summary: Improve NotesBlacklist system preference description to make clear where it w...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-30 00:52 UTC by Liz Rea
Modified: 2020-02-14 20:33 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 17697: Improve NotesBlacklist system preference description (2.09 KB, patch)
2020-01-12 10:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17697: Improve NotesBlacklist system preference description (2.15 KB, patch)
2020-01-25 23:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 17697: Improve NotesBlacklist system preference description (2.22 KB, patch)
2020-01-30 08:29 UTC, David Nind
Details | Diff | Splinter Review
Bug 17697: Improve NotesBlacklist system preference description (2.19 KB, patch)
2020-01-30 09:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-11-30 00:52:33 UTC
To replicate: 

Add a note to a field in a record (let's say 500)
Verify the note shows in both the OPAC Detail and OPAC MARC views
Add a blacklist entry to the NotesBlacklist system preference for field 500
Verify the note does not appear on the OPAC detail
Verify the note DOES appear on the OPAC MARC detail.

Blacklisted notes shouldn't display anywhere in the OPAC.
Comment 1 Katrin Fischer 2017-01-15 11:26:34 UTC
I am not sure about this. I think the hidden value in the MARC frameworks take care of this now, so maybe just a matter of making the pref description more explicit?
Comment 2 Katrin Fischer 2020-01-12 10:25:37 UTC
Created attachment 97266 [details] [review]
Bug 17697: Improve NotesBlacklist system preference description

- Switched 'separator' for more common 'tab' and rephrased sentence
- Added examples
- Added note to use hidden settings for hiding in other spots.

To test:
- Search for NotesBlacklist system preference and read the description
- Apply patch
- Refresh and read again
- If improved, sign off.

https://bugs.koha-community.org/show_bug.cgi?id=24206
Comment 3 David Nind 2020-01-25 23:26:02 UTC
Created attachment 97946 [details] [review]
Bug 17697: Improve NotesBlacklist system preference description

- Switched 'separator' for more common 'tab' and rephrased sentence
- Added examples
- Added note to use hidden settings for hiding in other spots.

To test:
- Search for NotesBlacklist system preference and read the description
- Apply patch
- Refresh and read again
- If improved, sign off.

https://bugs.koha-community.org/show_bug.cgi?id=24206

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-01-25 23:30:10 UTC
Reads much better to me! Made a very minor tweak - added an 'a' (changed 'Use comma..." to "Use a comma...").
Comment 5 Jonathan Druart 2020-01-28 15:02:05 UTC
Can I add a br tag before the last sentence?
Comment 6 David Nind 2020-01-30 08:29:29 UTC
Created attachment 98108 [details] [review]
Bug 17697: Improve NotesBlacklist system preference description

- Switched 'separator' for more common 'tab' and rephrased sentence
- Added examples
- Added note to use hidden settings for hiding in other spots.

To test:
- Search for NotesBlacklist system preference and read the description
- Apply patch
- Refresh and read again
- If improved, sign off.

https://bugs.koha-community.org/show_bug.cgi?id=24206

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2020-01-30 08:30:16 UTC
(In reply to Jonathan Druart from comment #5)
> Can I add a br tag before the last sentence?

Added.
Comment 8 Jonathan Druart 2020-01-30 09:09:27 UTC
Created attachment 98109 [details] [review]
Bug 17697: Improve NotesBlacklist system preference description

- Switched 'separator' for more common 'tab' and rephrased sentence
- Added examples
- Added note to use hidden settings for hiding in other spots.

To test:
- Search for NotesBlacklist system preference and read the description
- Apply patch
- Refresh and read again
- If improved, sign off.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Martin Renvoize 2020-01-30 11:03:48 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-02-10 23:23:28 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 11 Lucas Gass 2020-02-14 20:33:29 UTC
backported to 19.05.x for 19.05.08